Create Mesh problems

Hi!

has created a mesh with just 3 corners
has since created points for the corners
but the points and mesh points are not in the same places?

has the same error in RhinoScript and RhinoCommon SDK

Dim arrVertices(2)

arrVertices(0) = Array(143820.732965887, 6587994.59060971, 16.033914636719)
arrVertices(1) = Array(143800.260178762, 6587995.58525459, 14.977226030752)
arrVertices(2) = Array(143780.682129344, 6588017.91073487, 21.078640595528)

Dim arrFaceVertices(0)

arrFaceVertices(0) = Array(0, 1, 2)
Rhino.AddMesh arrVertices, arrFaceVertices

Rhino.AddPoint arrVertices(0)
Rhino.AddPoint arrVertices(1)
Rhino.AddPoint arrVertices(2)

Thank you all,

Michael.

Hi Michael,

Rhino degrades the display of meshes if they are far from the the origin. In your case 6587995 units. If you create it closer to the origin the points should match.

@dale, small bug in RhinoScript using V6, i had to define the fourth face vertex index or no mesh was created. In V5 it seems to work using just 3 face vertex indices.

_
c.

Hi @clement,

Can you post code that doesn’t work in V6 (that should)?

– Dale